@charset "UTF-8";

vui-progress-base {
    --progress-border-radius: 0;
    --progress-value-color: var(--color-stroke-accent);
    --progress-base-color: var(--color-background-highlight);
    --progress-label-color-top: var(--color-text-button-primary);
    --progress-label-color-bottom: var(--color-text-primary);
    --progress-transition-time: var(--transition-fast);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    width: var(--width-full)
}

.progress-base_progress__1PhmQ {
    position: relative;
    width: var(--width-full);
    background-color: var(--progress-base-color);
    border-radius: var(--progress-border-radius);
    overflow: hidden
}

.progress-base_progress-bar__aLO6- {
    background-color: var(--progress-value-color);
    height: var(--height-sm-2xs);
    -webkit-transition: width var(--progress-transition-time) var(--cubic-ease-out);
    transition: width var(--progress-transition-time) var(--cubic-ease-out);
    overflow: hidden
}

.progress-base_progress-bar__aLO6-.progress-base_translate__38ckX {
    -webkit-transform: translateX(-1px);
    transform: translateX(-1px)
}

.progress-base_progress-bar__aLO6-.progress-base_border__UVagT {
    border-right: var(--border-width-xs) solid var(--color-stroke-inactive)
}

.progress-base_size-s__1RKEO .progress-base_progress-bar__aLO6- {
    height: var(--height-sm-s)
}

.progress-base_size-m__2bI1u .progress-base_progress-bar__aLO6- {
    height: var(--height-sm-l)
}

.progress-base_label-wrap__ygcgl {
    padding: 0 var(--offset-sm-s);
    height: 100%;
    font: var(--bold-m)
}

.progress-base_label-top__NvG0u {
    position: relative;
    display: block;
    color: var(--progress-label-color-top)
}

.progress-base_label-bottom__1QDkk {
    position: absolute;
    left: 0;
    width: var(--width-full);
    color: var(--progress-label-color-bottom)
}

.progress-base_label-center__3fwjX {
    text-align: center
}

.progress-base_label-start__1TQDP {
    text-align: left
}

.progress-base_label-end__3JEfE {
    text-align: right
}

[dir=rtl] vui-progress-base .progress-base_label-start__1TQDP {
    text-align: right
}

[dir=rtl] vui-progress-base .progress-base_label-end__3JEfE {
    text-align: left
}